/**
 * 合同服务系统
 */

import res from '@/utils/system/request.js'

// 分页查询运单列表 根据运单编号进行筛选
export const queryWaybillByCondition = (params) => res('post', 'apiTms', '/admin/waybills/queryWaybillByCondition',params,{form:true})

// 查询异常运单列表   type = DEVICE 设备异常,  type = LOADING 装货地异常  ， type  = UNLOAD 卸货地异常
export const queryWaybillExceptionByCondition = (params) => res('post', 'apiTms', '/admin/waybills/queryWaybillExceptionByCondition',params,{form:true})

//查询轨迹
export const truckTrackQueryByWaybillNum = (params) => res('post', 'apiTms', '/transwiseway/truckTrackQueryByWaybillNum',params,{form:true})

// ### 查询时间段的运输轨迹以及停留时长
export const truckTrackQuery = (params) => res('post', 'apiTms', '/transwiseway/truckTrackQuery',params,{form:true})


//供应商仓库列表
export const warehouseList = (params) => res('post', 'apiTms', '/warehouse/review',params,{form:true})

//供应商仓库-审核通过
export const warehouseApprove = (params) => res('post', 'apiTms', '/warehouse/'+params.id+'/approve',params,{form:true})

//供应商仓库-审核拒绝
export const warehouseReject = (params) => res('post', 'apiTms', '/warehouse/'+params.id+'/reject',params,{form:true})

// 异常运单统计
export const queryExceptionWaybillStatistics = (params) => res('get', 'apiTms', '/dashboard/queryExceptionWaybillStatistics',params)

// 获取总的运单数量&获取运单发货地运力地图
export const queryAllWaybill = (params) => res('get', 'apiTms', '/dashboard/queryAllWaybill',params)

// ### 获取审核通过的仓库列表 & 仓库分布地图
export const queryApprovedWarehouses = (params) => res('get', 'apiTms', '/dashboard/queryApprovedWarehouses',params)

// ### 查看供应商 运单排行榜    
export const querySupplierRanking = (params) => res('get', 'apiTms', '/dashboard/querySupplierRanking',params)

// ### 获取订单运输异常率 
export const queryExceptionRate = (params) => res('get', 'apiTms', '/dashboard/queryExceptionRate',params)

// ### 查询基本信息配置
export const queryBaseConfig = (params) => res('get', 'apiTms', '/baseConfig/1',params)
// ### 修改基本配置信息
export const updateBaseConfig = (params) => res('put', 'apiTms', '/baseConfig',params)

// 导出报表列表
export const wayBillListExport = (params) => res('get', 'apiTms', '/waybills/wayBillListExport',params)

// 转运单审核
export const assignWaybillAudit = (params) => res('post', 'apiTms', '/admin/waybills/assignWaybillAudit',params,{form:true})